<?php
/**
 * @package SJ Responsive Listing for Zoo
 * @version 1.0.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2014 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 */

defined('_JEXEC') or die;
if (isset($list['items'])) {
    ImageHelper::setDefault($params);
    foreach ($list['items'] as $item) {
        ?>
        <div class="respl-item first-load  first-load category-<?php echo $item->category_id ?>"
             data-modified="<?php echo strtotime($item->modified) ?>"
             data-created="<?php echo strtotime($item->created_by) ?>"
             data-ordering="<?php //echo $item->ordering; ?>"
             data-hits="<?php echo $item->hits; ?>"
             data-title="<?php echo mb_strtolower($item->title); ?>"
             data-id="<?php echo $item->id; ?>"
             data-catid="<?php echo $item->category_id ?>">
            <div class="item-inner">
                <?php $img = ZooResponsiveListingHelper::getIZooImage($item, $params);
                if ($img) {
                    ?>
                    <div class="item-image cf">
						<?php if($params->get('item_cat_display', 1) == 1){?>
						<div class="item-public" data-value="<?php echo JText::_('PUBLISHED_LABEL')?>">&nbsp;
							<a href="<?php echo $item->catlink ?>" <?php echo ZooResponsiveListingHelper::parseTarget($params->get('link_target','_self'))?> title="<?php echo $item->category_title?>" >
								<?php echo $item->category_title?>
							</a>
						</div>
						<?php }?>
							<a href="<?php echo $item->link ?>" <?php echo ZooResponsiveListingHelper::parseTarget($params->get('link_target','_self'))?> title="<?php echo $item->title?>" >
							<?php echo ZooResponsiveListingHelper::imageTag($img); ?>
							<?php if($params->get('item_cat_display', 1) == 1){ ?>
							<span class="item-opacity"></span>
							<?php }?>
							</a>
					</div>
                <?php } ?>
                <?php if ($params->get('item_title_display', 1) == 1) {
                    ?>
                    <div class="item-title ">
                        <a href="<?php echo $item->link ?>" <?php echo ZooResponsiveListingHelper::parseTarget($params->get('link_target', '_self')) ?>
                           title="<?php echo $item->title ?>">
                            <?php echo ZooResponsiveListingHelper::truncate($item->title, $params->get('item_title_max_characters', 25)); ?>
                        </a>
                    </div>
                <?php } ?>
                <?php if ($params->get('item_created_display', 1) == 1 || $params->get('item_hits_display', 1) == 1) { ?>
                    <div class="item-post-read">
                        <?php if ($params->get('item_created_display', 1) == 1) { ?>
                            <div class="item-post" data-value="<?php echo JText::_('POST_LABEL') ?>">
                                &nbsp;<?php echo JHTML::_('date', $item->created_by, JText::_('DATE_FORMAT_LC3')) ?></div>
                        <?php } ?>

                        <?php if ($params->get('item_hits_display', 1) == 1) { ?>
                            <div class="item-read" data-read="<?php echo JText::_('READ_LABEL') ?>"
                                 data-times="<?php echo ((int)$item->hits > 1) ? JText::_('TIMES_LABEL') : JText::_('TIME_LABEL') ?>">
                                &nbsp; <?php echo $item->hits ?> &nbsp;</div>
                        <?php } ?>
                    </div>
                <?php } ?>

                <?php if ($params->get('item_tags_display') == 1 && $item->itemtag != '') { ?>
                    <div class="item-tags">
                        <?php echo $item->itemtag; ?>
                    </div>
                <?php } ?>

                <?php if ($params->get('item_social_display') == 1 && $item->socialbuttons != '') { ?>
                    <div class="item-social">
                        <?php echo $item->socialbuttons; ?>
                    </div>
                <?php } ?>

                <?php if ($params->get('item_description_display', 1) == 1 && ZooResponsiveListingHelper::_trimEncode($item->displayIntrotext) != '') { ?>
                    <div class="item-desc">
                        <?php
                        echo ZooResponsiveListingHelper::truncate($item->displayIntrotext, (int)$params->get('item_des_maxlength_layout_list'));
                        ?>
                    </div>
                <?php } ?>
                <?php if ($params->get('item_readmore_display', 1) == 1) { ?>
                    <div class="item-readmore">
                        <a href="<?php echo $item->link ?>" <?php echo ZooResponsiveListingHelper::parseTarget($params->get('link_target', '_self')) ?>
                           title="<?php echo $item->title ?>" data-arrow="&#187;">
                            <?php echo JText::_('READ_MORE_LIST_LABEL') ?>
                        </a>
                    </div>
                <?php } ?>

                <?php if ($params->get('item_related_articles_display') == 1 && $item->relateditems != '') { ?>
                    <div class="item-related-articles">
                        <h3><?php echo JText::_('REALATED_ARTICLES'); ?></h3>
                        <ul>
                            <?php echo $item->relateditems; ?>
                        </ul>
                    </div>
                <?php } ?>

                <div class="item-more">
                    <?php if ($img ) { ?>
                        <div class="more-image cf">
                            <a href="<?php echo $item->link ?>" <?php echo ZooResponsiveListingHelper::parseTarget($params->get('link_target', '_self')) ?>
                               title="<?php echo $item->title ?>">
                                <img src="<?php echo ZooResponsiveListingHelper::imageSrc($img); ?>"
                                     title="<?php echo $item->title; ?>" alt="<?php echo $item->title; ?>"/>
                            </a>
                        </div>
                    <?php } ?>
                    <div class="more-desc">
                        <div class="more-opacity"></div>
                        <div class="more-inner">
                            <?php if ($params->get('item_title_display', 1) == 1) { ?>
                                <div class="more-title">
                                    <a href="<?php echo $item->link ?>" <?php echo ZooResponsiveListingHelper::parseTarget($params->get('link_target', '_self')) ?>
                                       title="<?php echo $item->title ?>">
                                        <?php echo ZooResponsiveListingHelper::truncate($item->title, $params->get('item_title_max_characters', 25)); ?>
                                    </a>
                                </div>
                            <?php } ?>
                            <?php if ($params->get('item_hits_display', 1) == 1) { ?>
                                <div class="more-read" data-read="<?php echo JText::_('READ_LABEL') ?>"
                                     data-times="<?php echo ((int)$item->hits > 1) ? JText::_('TIMES_LABEL') : JText::_('TIME_LABEL') ?>">
                                    &nbsp;<?php echo $item->hits ?>&nbsp;</div>
                            <?php } ?>

                            <?php if ($params->get('item_cat_display', 1) == 1) { ?>
                                <div class="more-public" data-value="<?php echo JText::_('PUBLISHED_LABEL') ?>">&nbsp;
                                    <a href="<?php echo $item->catlink ?>" <?php echo ZooResponsiveListingHelper::parseTarget($params->get('link_target', '_self')) ?>
                                       title="<?php echo $item->category_title ?>">
                                        <?php echo $item->category_title ?>
                                    </a>
                                </div>
                            <?php } ?>

                            <?php if ($params->get('item_tags_display') == 1 && $item->itemtag != '') { ?>
                                <div class="more-tags">
                                    <?php echo $item->itemtag; ?>
                                </div>
                            <?php } ?>

                            <?php if ($params->get('item_description_display', 1) == 1 && ZooResponsiveListingHelper::_trimEncode($item->displayIntrotext) != '') { ?>
                                <div class="more-content">
                                    <?php
                                    echo ZooResponsiveListingHelper::truncate($item->displayIntrotext, (int)$params->get('item_des_maxlength_layout_grid'));
                                    ?>
                                </div>
                            <?php } ?>

                            <?php if ($params->get('item_created_display', 1) == 1) { ?>
                                <div class="more-post"
                                     data-value="<?php echo JText::_('POST_LABEL') ?>"><?php echo JHTML::_('date', $item->created_by, JText::_('DATE_FORMAT_LC3')) ?></div>
                            <?php } ?>

                            <?php if ($params->get('item_readmore_display', 1) == 1) { ?>
                                <div class="more-readmore">
                                    <a href="<?php echo $item->link ?>" <?php echo ZooResponsiveListingHelper::parseTarget($params->get('link_target', '_self')) ?>
                                       title="<?php echo $item->title ?>">
                                        <?php echo JText::_('READ_MORE_GRID_LABEL') ?>
                                    </a>
                                </div>
                            <?php } ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    <?php  }
} ?>
